Sobre instalación y modificaciones.

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Member II

Sobre instalación y modificaciones.

Buenas tardes a todas y todos.
En la empresa estamos por implementar Alfresco Community, hemos realizado pruebas y todo ha marchado bien, sin embargo, tenemos algunas dudas en diversos temas.
El primer tema es el relacionado con la instalación de Alfresco en el que será nuestro servidor de producción. Dicho servidor tiene un procesador Intel Core i3; 4 GB en RAM y Disco Duro de 500 GB. Vamos a crear el usuario alfresco como dueño de la instancia. Se instalara en /opt con 300 GB. Utilizaremos Apache (de los paquetes de Debian); PostgreSql versión 9.1; mod_proxy; Java versión 7 (no openjdk); Tomact (de los paquetes de Debian), pero para el caso de TOMCAT ¿que versión es la que nos recomiendan?
Ahora bien, las pruebas se realizaron utilizando "alfresco-community-4.2.d-installer-linux-x64.bin", el cual genera dos archivos de despliegue: share.war y alfresco.war los cuales pretendemos utilizar, ¿es correcta nuestra idea? o en su caso ¿nos pueden indicar donde bajo dichos archivos y algún tutorial para realizar este tipo de instalación?

El segundo tema y que por una clara falta de conocimiento y experiencia en Alfresco, nos ha limitado la puesta en operación.  Cuando instalamos Alfresco se despliegan dos aplicativos: "alfresco" y "share", la persona encargada de realizar dichas pruebas la efectuó utilizando "share". Tenemos las necesidad de realizar ciertos cambios en la funcionalidad de la carga de los archivos y consiste en lo siguiente.
El usuario deberá capturar el Autor; Título; Fecha; Páginas; Comentarios y por supuesto subir el archivo.
Para este ultimo tema, desconocemos por completo como realizar dicha modificación.

Gracias por su apoyo.
1 Reply
Highlighted
Intermediate

Re: Sobre instalación y modificaciones.

Muy buenas y bienvenido.

Antes de nada te recomiendo que te pases por la documentación oficial de Alfresco: Allí te aseguro que encontraras varias respuestas a tus preguntas (recuerda tu usas Community 4.2)
Para ver tema de compatibilidad de versiones con la de Alfresco, ojeate este pdf: Ahí tendrás una matriz de compatibilidad. Aunque te digo que normalmente si vas a instalar por el instalador, no vas a tener mucho problema.

Echales un vistazo y segun vayan saliendo dudas te echamos una mano Smiley Wink

Un saludo!